summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--libs/web/root/etc/config/luci1
-rwxr-xr-xthemes/openwrt.org/ipkg/postinst4
-rwxr-xr-xthemes/openwrt.org/root/etc/uci-defaults/luci-theme-openwrt6
3 files changed, 10 insertions, 1 deletions
diff --git a/libs/web/root/etc/config/luci b/libs/web/root/etc/config/luci
index 43c484a8f..b02fb51f5 100644
--- a/libs/web/root/etc/config/luci
+++ b/libs/web/root/etc/config/luci
@@ -44,4 +44,3 @@ config internal template
option compiledir "/tmp/.lucitplcache"
config internal themes
- option OpenWRT "/luci-static/openwrt.org"
diff --git a/themes/openwrt.org/ipkg/postinst b/themes/openwrt.org/ipkg/postinst
new file mode 100755
index 000000000..48ea52273
--- /dev/null
+++ b/themes/openwrt.org/ipkg/postinst
@@ -0,0 +1,4 @@
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ ( . /etc/uci-defaults/luci-theme-openwrt ) && rm -f /etc/uci-defaults/luci-theme-openwrt
+}
diff --git a/themes/openwrt.org/root/etc/uci-defaults/luci-theme-openwrt b/themes/openwrt.org/root/etc/uci-defaults/luci-theme-openwrt
new file mode 100755
index 000000000..a8bef6c92
--- /dev/null
+++ b/themes/openwrt.org/root/etc/uci-defaults/luci-theme-openwrt
@@ -0,0 +1,6 @@
+#!/bin/sh
+uci batch <<-EOF
+ set luci.themes.OpenWRT=/luci-static/openwrt.org
+ commit luci
+EOF
+